#28 Exchange Webmail

v2.8
pending
nobody
None
5
2012-09-21
2007-11-07
PLS
No

Nobody can access their exchange webmail through dansguardian. We get the page cannot be displayed error. We are running Dansguardian on port 8080 and squid on 3128. If the user connects directly to squid, the webmail works just fine. Also, we have a Danguardian group that is unfiltered. When we unfilter the user and allow everything, we still get the error. Nothing shows in the logs.

Discussion

  • Aecio F. Neto

    Aecio F. Neto - 2012-09-21

    Can someone confirm this for further analysis, please?

     
  • Aecio F. Neto

    Aecio F. Neto - 2012-09-21
    • status: open --> pending
    • milestone: --> v2.8
     
  • cweimann

    cweimann - 2012-09-21

    I'd guess they are running out of children. This doesn't quite fit the
    problem report because when you are out of children all new connections
    would stop but it is something to look at.

    Outlook Web Access and similarly gmail which both use https and maintain
    persistent connection through the proxy. As you use more and more of
    that type of service you use up more and more DG children. When you are
    out of children you can't connect to the net anymore. If your DG is set
    for 250 children and 250 people leave OWA open nobody can surf the net.

    I have several set installations set for maxchildren 1000 which is about
    the limit until somebody makes DG use something like kqueue rather than
    select() to track child processes.

    On 09/21/2012-04:55AM, Aecio F. Neto wrote:

    To: "[dansguardian:bugs] " 28@bugs.dansguardian.p.re.sf.net
    From: "Aecio F. Neto" aecioneto@users.sf.net
    Subject: [dansguardian:bugs] #28 Exchange Webmail
    Date: Fri, 21 Sep 2012 04:55:46 +0000

    Can someone confirm this for further analysis, please?


    [bugs:28] Exchange Webmail

    Status: pending
    Created: Wed Nov 07, 2007 02:47 PM UTC by PLS
    Last Updated: Fri Sep 14, 2012 10:05 PM UTC
    Owner: nobody

    Nobody can access their exchange webmail through dansguardian. We get the page cannot be displayed error. We are running Dansguardian on port 8080 and squid on 3128. If the user connects directly to squid, the webmail works just fine. Also, we have a Danguardian group that is unfiltered. When we unfilter the user and allow everything, we still get the error. Nothing shows in the logs.


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/dansguardian/bugs/28/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/prefs/

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks